<% script_url = "/" + url_options[:script_name]
  if script_url == "/"
    script_url = ""
  end %>
<script type="text/javascript">
window.name = "main";
var check_submitted = 0;

$(function() {
  localDomains = "<%= @local_domains %>";
  total_file_size_limit = 1024 * 1024 * <%= @params_app_env['FILE_TOTAL_SIZE_LIMIT'].to_i %>
  total_file_size = 0;
  total_queued_number = 0;
  transfer_file_size = 0;
  auth_token = document.querySelector("#send_matter input[name='authenticity_token']").value;

  var uploadObj = $("#advancedUpload").uploadFile({
    url:'<%= url_for(controller: :file_send, action: :upload) %>',
    multiple:true,
    autoSubmit:false,
    fileName:"myfile",
    headers: {
      'X-CSRF-Token' : document.querySelector('meta[name="csrf-token"]').content
    },
    formData: {"relay_id":'<%= @relay_id %>',
               "authenticity_token": auth_token},
    maxTotalFileSize:1024 * 1024 * <%= @params_app_env['FILE_TOTAL_SIZE_LIMIT'].to_i %>,
    maxFileSize:1024 * 1024 * <%= @params_app_env['FILE_SIZE_LIMIT'].to_i %>,
    maxFileCount: <%= @params_app_env['FILE_SEND_LIMIT'].to_i %>,
    showDelete: false,
    showAbort: false,
    showStatusAfterSuccess:true,
    afterUploadAll:function(){
      document.getElementById("send_matter").submit();
    },
    onSubmit:function(files) {
    },
    onSelect:function(files) {
    },
    onSuccess:function(files,data,xhr){
        transfer_file_size += parseInt(data.size);
        show_transfer_rate_html5(Math.ceil((transfer_file_size/total_file_size) * 100));
    },
    onError: function(files,status,errMsg) {
      alert('ファイル送信中にエラーが発生しました。');
    },
    uploadStr:"ファイルを選択",
    dragDropStr: "<span><b>またはここにドラッグ&ドロップしてください</b></span>",
    abortStr:"中断",
    cancelStr:"キャンセル",
    doneStr:"送信完了",
    showDone: true,
    maxFileCountErrorStr: " は送信できません。送信可能なファイル数：",
    sizeErrorStr: " は送信できません。送信可能な最大ファイルサイズ： ",
    maxTotalSizeErrorStr: " は送信できません。送信可能な合計最大ファイルサイズ： "
  });

  $.validationEngineLanguage.newLang(localDomains);
  $("#send_matter").validationEngine('detach');
  $("#send_matter").validationEngine('hideAll');
  $("#send_matter").validationEngine({
    promptPosition: "bottomLeft",
    binded: true,
    focusFirstField : false,
    onValidationComplete: function(form, status){

      if (status == true) {
        if (total_queued_number > 0) {
          var submitbtn = document.getElementById("submitbtn");
          submitbtn.innerHTML = '<%= image_tag(asset_path("common/but_send_x.jpg"), alt: "But_send_x") %>'
          uploadObj.startUpload();
        }
      } else {
        check_submitted = 1;
      }
    }
  })
});

arInput = 0
max_receivers_num = <%= @params_app_env['RECEIVERS_LIMIT'].to_i %>;

for (i = 2 ; i <= max_receivers_num; i++) {
  receivers[i] = 0;
}
</script>

<div class="modal"></div>
<%= form_with(model: @send_matter, url: {action: :create},
  id: 'send_matter', html: {name: "send_matter"}) do |f| -%>
  <%= f.hidden_field :relayid, {value: @relay_id} %>

  <h1>ファイル送信</h1>
  <p class="comment">
    この画面からファイルの送信が可能です。<br />
    以下のフォームに必要事項を記入し，[ファイルを送信する]をクリックしてください。
    （<span class="required">※</span> 印は必須項目です。）
  </p>
  <p class="comment">
    正常に送信できない場合は右のバージョンをお試しください。
    （ <%= link_to '簡易バージョン', action: :index_noflash -%> ）
  </p>

  <%= render 'sender', f: f %>

  <%= render 'password', f: f %>

  <h2>３．受取人情報入力　（ファイルを受け取る相手の情報を入力してください）</h2>

  <%= render 'receivers_address_book', f: f %>

<script type="text/javascript">
arInput = 0
max_receivers_num = <%= @params_app_env['RECEIVERS_LIMIT'].to_i %>;

for (i = 2 ; i <= max_receivers_num; i++) {
receivers[i] = 0;
}
</script>

  <h2>４．送信するファイルの選択</h2>
  <span class="left">
    <%= @params_app_env['FILE_SEND_LIMIT'].to_i %>ファイル
    （合計<%= @params_app_env['FILE_TOTAL_SIZE_LIMIT'].to_i %>MB）まで送信できます。
    （1ファイルの最大サイズは<%= @params_app_env['FILE_SIZE_LIMIT'].to_i %>MBまで）
    <br />
    ファイルを選択後，下の「ファイルを送信する」ボタンを押してください。
  </span>
  <fieldset>
    <legend>送信するファイルの選択</legend>
    <span class="left">
      <div style="width:auto;display: table;">
        <div class="upload_status_label">選択ファイル数：</div>
        <div class="upload_status_value"><span id="total_queued_number_value" class="upload_value">0</span></div>
        <div style="display: table-cell;">&nbsp;&nbsp;</div>
        <div class="upload_status_label">合計サイズ：</div>
        <div class="upload_status_value"><span id="total_file_size_value" class="upload_value">0</span></div>
      </div>
    </span>
    <div id="advancedUpload">ファイルを選択</div>
    <span class="left">
      <div style="width:100%;text-align:right;margin: 30px 0px 0px 0px;">
        <div style="width:auto;display: table;margin-left:auto;margin-right:0;">
          <div class="upload_status_label">全体の送信状況：</div>
          <div class="upload_status_value">
            <div id="progressbar"></div><div id="transfer_rate_html5">0%</div>
          </div>
        </div>
      </div>
    </span>
  </fieldset>
  
  <br /><br />
  <p id="submitbtn" align="center"><%= image_submit_tag("common/but_send.gif" ) %></p>
  <br /><br />
<% end %>
